package com.hnshituo.core.auth.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.core.auth.mapper.DepartmentMapper;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CORE_AUTH_DEPARTMENT", namespace=DepartmentMapper.class, cache=true)
public class Department extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2152729175686224249L;

	/** 编号 */
	@Id
	private String id;

	/** 名称 */
	@Column
	private String name;

	/** 父编号 */
	@Column
	private String pid;

	/** 组织类型 */
	@Column
	private Integer type;

	/** 序号 */
	@Column
	private Integer seq;
	
	/** 删除状态（0:否, 1:是） */
	@Column
	private boolean del;

	@Column
	private String create_man;

	/** 创建时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;

	/** 修改人 */
	@Column
	private String update_man;

	/** 修改时间 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;

	/** 照片 */
	@Column
	private String logo;

	/** 备注 */
	@Column
	private String memo;
	
	private List<Department> children;

	public String getId() {
		return this.id;
	}

	public String getName() {
		return this.name;
	}

	public String getPid() {
		return this.pid;
	}

	public Integer getType() {
		return this.type;
	}

	public Integer getSeq() {
		return this.seq;
	}

	public String getCreate_man() {
		return create_man;
	}

	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getUpdate_man() {
		return update_man;
	}

	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public String getMemo() {
		return this.memo;
	}

	public void setId(String id) {
		this.id = id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	
	public void setMemo(String memo) {
		this.memo = memo;
	}

	public List<Department> getChildren() {
		return children;
	}

	public void setChildren(List<Department> children) {
		this.children = children;
	}

	public boolean isDel() {
		return del;
	}

	public void setDel(boolean del) {
		this.del = del;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}
}
